## Kutaisi ASOS

Kutaisi Automated Weather Service 0655 Zulu Winds 350 at 5 knots Visibility 10 kilometers broken seven thousand one six thousand FEW four one thousand temperature 20 dew point 15 altimeter 3002 remarks landing departure runway zero seven common traffic advisory frequency one three zero eight